export function speakText(text, language = 'en-US', voice = null) {
    if (!window.speechSynthesis) {
        console.error('Speech synthesis not supported.');
        return;
    }

    const utterance = new SpeechSynthesisUtterance(text);
    utterance.lang = language;
    if (voice) utterance.voice = voice;

    speechSynthesis.speak(utterance);
}
