export function highlightText(text, element) {
    const words = text.split(' ');
    element.innerHTML = words
        .map(word => `<span>${word}</span>`)
        .join(' ');

    const spans = element.querySelectorAll('span');
    spans.forEach((span, index) => {
        setTimeout(() => span.classList.add('highlight'), index * 500); // Adjust timing
    });
}
